RDKit: RDKit::AtomInvariantsGenerator Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::AtomInvariantsGenerator Class Referenceabstract

abstract base class for atom invariants generators More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::AtomInvariantsGenerator:

## Public Member Functions
virtual std::vector< std::uint32_t > * | getAtomInvariants (const ROMol &mol) const =0
| get atom invariants from a molecule
virtual std::string | infoString () const =0
| method that returns information about this /c AtomInvariantsGenerator and its arguments
virtual void | toJSON (boost::property_tree::ptree &) const
virtual void | fromJSON (const boost::property_tree::ptree &)
virtual | ~AtomInvariantsGenerator ()
virtual AtomInvariantsGenerator * | clone () const =0

## Detailed Description

abstract base class for atom invariants generators

Definition at line 226 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## ◆ ~AtomInvariantsGenerator()

virtual RDKit::AtomInvariantsGenerator::~AtomInvariantsGenerator | ( |  | ) |
| inlinevirtual

Definition at line 250 of file FingerprintGenerator.h.

## Member Function Documentation

## ◆ clone()

virtual AtomInvariantsGenerator * RDKit::AtomInvariantsGenerator::clone | ( |  | ) | const
| pure virtual

Implemented in RDKit::AtomPair::AtomPairAtomInvGenerator, RDKit::MorganFingerprint::MorganAtomInvGenerator, RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator, and RDKit::RDKitFP::RDKitFPAtomInvGenerator.

## ◆ fromJSON()

virtual void RDKit::AtomInvariantsGenerator::fromJSON | ( | const boost::property_tree::ptree & |  | ) |
| inlinevirtual

Reimplemented in RDKit::AtomPair::AtomPairAtomInvGenerator, RDKit::MorganFingerprint::MorganAtomInvGenerator, RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator, and RDKit::RDKitFP::RDKitFPAtomInvGenerator.

Definition at line 248 of file FingerprintGenerator.h.

## ◆ getAtomInvariants()

virtual std::vector< std::uint32_t > * RDKit::AtomInvariantsGenerator::getAtomInvariants | ( | const ROMol & | mol | ) | const
| pure virtual

get atom invariants from a molecule

Parameters

  mol | molecule to generate the atom invariants for

Returns
  std::vector<std::uint32_t> atom invariants generated for the given molecule

Implemented in RDKit::AtomPair::AtomPairAtomInvGenerator, RDKit::MorganFingerprint::MorganAtomInvGenerator, RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator, and RDKit::RDKitFP::RDKitFPAtomInvGenerator.

## ◆ infoString()

virtual std::string RDKit::AtomInvariantsGenerator::infoString | ( |  | ) | const
| pure virtual

method that returns information about this /c AtomInvariantsGenerator and its arguments

Returns
  std::string information string

Implemented in RDKit::AtomPair::AtomPairAtomInvGenerator, RDKit::MorganFingerprint::MorganAtomInvGenerator, RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator, and RDKit::RDKitFP::RDKitFPAtomInvGenerator.

## ◆ toJSON()

virtual void RDKit::AtomInvariantsGenerator::toJSON | ( | boost::property_tree::ptree & |  | ) | const
| inlinevirtual

Reimplemented in RDKit::AtomPair::AtomPairAtomInvGenerator, RDKit::MorganFingerprint::MorganAtomInvGenerator, RDKit::MorganFingerprint::MorganFeatureAtomInvGenerator, and RDKit::RDKitFP::RDKitFPAtomInvGenerator.

Definition at line 247 of file FingerprintGenerator.h.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h